# jaspersoft_app

[![Build Status](https://gitlab.com/mytraining4/chef/jaspersoft_app/badges/master/pipeline.svg)](https://gitlab.com/mytraining4/chef/jaspersoft_app/commits/master)

## Overview
This cookbook facilitates the process of installing Postgres Database 10.4 (if Required) and JaspersoftServer 7.2 along with Apache tomcat server and Java 1.8 on Linux platforms.
Note: This cookbook installs Postgres Binaries and creates Jasperserver metadata related databases.

## Platforms
RHEL 7+ (and its derivatives)

## Prerequisites and Dependencies
Minimum server level requirements
  - Linux server with RHEL 7 (or higher)
  - RAM: 4GB (recommend 8GB or more)
  - Storage: A separate mount is required for the JasperServer,Apache,Java and postgres server installation with a minimum recommended size of 20G.

## Cookbook Dependencies
  - `br_aws` cookbook is required for paramterstore passwords

## Usage
**To use this cookbook, Place a dependency in your `metadata.rb`**

`depends 'jaspersoft_app'`

**Ensure all attributes (described below with example values) are defined in your local attributes `default.rb` file.**

**Add an include line in your recipe to call this cookbook.**

`include_recipe jaspersoft_app::default`

## Required Attributes
`jasper_mount` -> **The root location of the Jaspersoft installation.**
  - **Below are descriptions and example values for the required parameters.**
    - `default['jaspersoft_app']['jasper_mount'] = '/apps'`
    - `default['jaspersoft_app']['postgres_server_required'] = 'Yes' #if you want to install postgres DB please use (yes) else (no)`
    - `default['jaspersoft_app']['postgres_binary_version'] = '10.4-1' #version of your postgres server`
    - `default['jaspersoft_app']['postgres_os_family'] = 'linux' #your os platform`
    - `default['jaspersoft_app']['postgres_os_bit'] = 'x64' # your OS bit`
    - `default['jaspersoft_app']['postgres_user'] = 'postgres' # os user for postgres db install`
    - `default['jaspersoft_app']['postgres_binary_version'] = '10.4'`
    - `default['jaspersoft_app']['postgres_host'] = 'localhost'`
    - `default['jaspersoft_app']['postgres_port'] = '' # port number for your DB`
    - `default['jaspersoft_app']['postgres_dbuser'] = 'postgres'`
    - `default['jaspersoft_app']['postgres_locale'] = 'en_US.utf8'`
    - `default['jaspersoft_app']['jasper_binary_version'] = '' #version of Jasper server`
    - `default['jaspersoft_app']['apache_binary_version'] = '' # version of Apache-tomcat`
    - `default['jaspersoft_app']['java_binary_version'] = '' # version of JRE or JDK`
    - `default['jaspersoft_app']['java_version'] = '' # version of JRE or JDK`
    - `default['jaspersoft_app']['jasper_os_bit'] = 'x64'`
    - `default['jaspersoft_app']['jasper_os_family'] = 'linux'`
    - `default['jaspersoft_app']['jasper_user'] = 'jspadmin'`
    - `default['jaspersoft_app']['apache_version'] = 'tomcat7'`
    - `default['jaspersoft_app']['apache_server_port'] = '' # port number for your respective Apache process`
    - `default['jaspersoft_app']['apache_http_port'] = '' # port number for your respective Apache process`
    - `default['jaspersoft_app']['apache_ajp_port'] = '' # port number for your respective Apache process`
    - `default['jaspersoft_app']['apache_https_port'] = '' # port number for your respective Apache process`
    - `default['jaspersoft_app']['apache_ajpre_port'] = '' # port number for your respective Apache process`
    - `default['jaspersoft_app']['jasper_dbtype'] = 'postgresql'`
    - `default['jaspersoft_app']['jasper_dbhost'] = 'localhost'`
    - `default['jaspersoft_app']['jasper_dbuser'] = 'jaspersql'`
    - `default['jaspersoft_app']['jasper_schema'] = 'jasper_schema'`
    - `default['jaspersoft_app']['jasper_dbport'] = '' # port number for your postgres DB`
    - `default['jaspersoft_app']['jasper_dbdbname'] = '' # postgres DB name`
    - `default['jaspersoft_app']['jasper_instance'] = '02'`
    - `default['jaspersoft_app']['jasperrmiport'] = '10992'`
    - `default['jaspersoft_app']['jasperrmihost'] = 'localhost'`
    - `default['jaspersoft_app']['jasperrmijmxname'] = 'jasperserver'`
    - `default['jaspersoft_app']['jasper_webname'] = '' # webapplication name for Jasper`
    - `default['jaspersoft_app']['jasper_client_name'] = '' # your client name for Jasper application`

## Other parameters
  - **Source URL:** Source location of software run file(i.e. Nexus).
    - `default['jaspersoft_app']['source_Main_url'] = ''`
  - **Staging Directory:** Staging location for unzipping software files.
    - `default['jaspersoft_app']['temp_download_loc'] = '/apps/downloads'`